--- old/usr/src/test/zfs-tests/tests/functional/cli_root/zfs_upgrade/zfs_upgrade_003_pos.ksh	Wed Aug 31 16:20:50 2016
+++ new/usr/src/test/zfs-tests/tests/functional/cli_root/zfs_upgrade/zfs_upgrade_003_pos.ksh	Wed Aug 31 16:20:50 2016
@@ -24,7 +24,11 @@
 # Copyright 2009 Sun Microsystems, Inc.  All rights reserved.
 # Use is subject to license terms.
 #
+
 #
+# Copyright (c) 2016 by Delphix. All rights reserved.
+#
+
 . $STF_SUITE/include/libtest.shlib
 . $STF_SUITE/tests/functional/cli_root/zfs_upgrade/zfs_upgrade.kshlib
 
@@ -44,9 +48,9 @@
 function cleanup
 {
 	if datasetexists $rootfs ; then
-		log_must $ZFS destroy -Rf $rootfs
+		log_must zfs destroy -Rf $rootfs
 	fi
-	log_must $ZFS create $rootfs
+	log_must zfs create $rootfs
 }
 
 function setup_datasets
@@ -58,9 +62,9 @@
 		typeset current_fs=$rootfs/$verfs
 		typeset current_snap=${current_fs}@snap
 		typeset current_clone=$rootfs/clone$verfs
-		log_must $ZFS create -o version=${version} ${current_fs}
-		log_must $ZFS snapshot ${current_snap}
-		log_must $ZFS clone ${current_snap} ${current_clone}
+		log_must zfs create -o version=${version} ${current_fs}
+		log_must zfs snapshot ${current_snap}
+		log_must zfs clone ${current_snap} ${current_clone}
 		datasets="$datasets ${current_fs} ${current_clone}"
 	done
 }
@@ -87,10 +91,10 @@
 		fi
 
 		if (( newv >= oldv )); then
-			log_must eval '$ZFS upgrade $opt $fs > /dev/null 2>&1'
+			log_must eval 'zfs upgrade $opt $fs > /dev/null 2>&1'
 			log_must check_fs_version $fs $newv
 		else
-			log_mustnot eval '$ZFS upgrade $opt $fs > /dev/null 2>&1'
+			log_mustnot eval 'zfs upgrade $opt $fs > /dev/null 2>&1'
 			log_must check_fs_version $fs $oldv
 		fi
 	done
--- old/usr/src/test/zfs-tests/tests/functional/cli_root/zfs_upgrade/zfs_upgrade_004_pos.ksh	Wed Aug 31 16:20:50 2016
+++ new/usr/src/test/zfs-tests/tests/functional/cli_root/zfs_upgrade/zfs_upgrade_004_pos.ksh	Wed Aug 31 16:20:50 2016
@@ -24,7 +24,11 @@
 # Copyright 2009 Sun Microsystems, Inc.  All rights reserved.
 # Use is subject to license terms.
 #
+
 #
+# Copyright (c) 2016 by Delphix. All rights reserved.
+#
+
 . $STF_SUITE/include/libtest.shlib
 . $STF_SUITE/tests/functional/cli_root/zfs_upgrade/zfs_upgrade.kshlib
 
@@ -44,9 +48,9 @@
 function cleanup
 {
 	if datasetexists $rootfs ; then
-		log_must $ZFS destroy -Rf $rootfs
+		log_must zfs destroy -Rf $rootfs
 	fi
-	log_must $ZFS create $rootfs
+	log_must zfs create $rootfs
 }
 
 function setup_datasets
@@ -58,14 +62,14 @@
 		typeset current_fs=$rootfs/$verfs
 		typeset current_snap=${current_fs}@snap
 		typeset current_clone=$rootfs/clone$verfs
-		log_must $ZFS create -o version=${version} ${current_fs}
-		log_must $ZFS snapshot ${current_snap}
-		log_must $ZFS clone ${current_snap} ${current_clone}
+		log_must zfs create -o version=${version} ${current_fs}
+		log_must zfs snapshot ${current_snap}
+		log_must zfs clone ${current_snap} ${current_clone}
 
 		for subversion in $ZFS_ALL_VERSIONS ; do
 			typeset subverfs
 			eval subverfs=\$ZFS_VERSION_$subversion
-			log_must $ZFS create -o version=${subversion} \
+			log_must zfs create -o version=${subversion} \
 				${current_fs}/$subverfs
 		done
 		datasets="$datasets ${current_fs}"
@@ -92,9 +96,9 @@
 			newv=$ZFS_VERSION
 		fi
 
-		log_must eval '$ZFS upgrade -r $opt $topfs > /dev/null 2>&1'
+		log_must eval 'zfs upgrade -r $opt $topfs > /dev/null 2>&1'
 
-		for fs in $($ZFS list -rH -t filesystem -o name $topfs) ; do
+		for fs in $(zfs list -rH -t filesystem -o name $topfs) ; do
 			log_must check_fs_version $fs $newv
 		done
 	done
--- old/usr/src/test/zfs-tests/tests/functional/cli_root/zfs_upgrade/zfs_upgrade_005_pos.ksh	Wed Aug 31 16:20:50 2016
+++ new/usr/src/test/zfs-tests/tests/functional/cli_root/zfs_upgrade/zfs_upgrade_005_pos.ksh	Wed Aug 31 16:20:50 2016
@@ -24,7 +24,11 @@
 # Copyright 2009 Sun Microsystems, Inc.  All rights reserved.
 # Use is subject to license terms.
 #
+
 #
+# Copyright (c) 2016 by Delphix. All rights reserved.
+#
+
 . $STF_SUITE/include/libtest.shlib
 . $STF_SUITE/tests/functional/cli_root/zfs_upgrade/zfs_upgrade.kshlib
 
@@ -44,9 +48,9 @@
 function cleanup
 {
 	if datasetexists $rootfs ; then
-		log_must $ZFS destroy -Rf $rootfs
+		log_must zfs destroy -Rf $rootfs
 	fi
-	log_must $ZFS create $rootfs
+	log_must zfs create $rootfs
 }
 
 function setup_datasets
@@ -58,14 +62,14 @@
 		typeset current_fs=$rootfs/$verfs
 		typeset current_snap=${current_fs}@snap
 		typeset current_clone=$rootfs/clone$verfs
-		log_must $ZFS create -o version=${version} ${current_fs}
-		log_must $ZFS snapshot ${current_snap}
-		log_must $ZFS clone ${current_snap} ${current_clone}
+		log_must zfs create -o version=${version} ${current_fs}
+		log_must zfs snapshot ${current_snap}
+		log_must zfs clone ${current_snap} ${current_clone}
 
 		for subversion in $ZFS_ALL_VERSIONS ; do
 			typeset subverfs
 			eval subverfs=\$ZFS_VERSION_$subversion
-			log_must $ZFS create -o version=${subversion} \
+			log_must zfs create -o version=${subversion} \
 				${current_fs}/$subverfs
 		done
 		datasets="$datasets ${current_fs}"
@@ -92,10 +96,10 @@
 	fi
 
 	export __ZFS_POOL_RESTRICT="$TESTPOOL"
-	log_must $ZFS upgrade $opt -a
+	log_must zfs upgrade $opt -a
 	unset __ZFS_POOL_RESTRICT
 
-	for fs in $($ZFS list -rH -t filesystem -o name $rootfs) ; do
+	for fs in $(zfs list -rH -t filesystem -o name $rootfs) ; do
 		log_must check_fs_version $fs $newv
 	done
 	cleanup
--- old/usr/src/test/zfs-tests/tests/functional/cli_root/zfs_upgrade/zfs_upgrade_006_neg.ksh	Wed Aug 31 16:20:50 2016
+++ new/usr/src/test/zfs-tests/tests/functional/cli_root/zfs_upgrade/zfs_upgrade_006_neg.ksh	Wed Aug 31 16:20:50 2016
@@ -25,6 +25,10 @@
 # Use is subject to license terms.
 #
 
+#
+# Copyright (c) 2016 by Delphix. All rights reserved.
+#
+
 . $STF_SUITE/include/libtest.shlib
 . $STF_SUITE/tests/functional/cli_root/zfs_upgrade/zfs_upgrade.kshlib
 
@@ -47,7 +51,7 @@
 
 typeset -i i=1
 while (( i < ${#args[*]} )); do
-	log_mustnot $ZFS upgrade ${args[i]}
+	log_mustnot zfs upgrade ${args[i]}
 	((i = i + 1))
 done
 
--- old/usr/src/test/zfs-tests/tests/functional/cli_root/zfs_upgrade/zfs_upgrade_007_neg.ksh	Wed Aug 31 16:20:50 2016
+++ new/usr/src/test/zfs-tests/tests/functional/cli_root/zfs_upgrade/zfs_upgrade_007_neg.ksh	Wed Aug 31 16:20:50 2016
@@ -25,6 +25,10 @@
 # Use is subject to license terms.
 #
 
+#
+# Copyright (c) 2016 by Delphix. All rights reserved.
+#
+
 . $STF_SUITE/include/libtest.shlib
 . $STF_SUITE/tests/functional/cli_root/zfs_upgrade/zfs_upgrade.kshlib
 
@@ -48,7 +52,7 @@
 typeset -i i=0
 while (( i < ${#args[*]} ))
 do
-	log_mustnot $ZFS upgrade -V ${args[i]} $TESTPOOL/$TESTFS
+	log_mustnot zfs upgrade -V ${args[i]} $TESTPOOL/$TESTFS
 	((i = i + 1))
 done
 
--- old/usr/src/test/zfs-tests/tests/functional/cli_root/zpool/zpool_001_neg.ksh	Wed Aug 31 16:20:50 2016
+++ new/usr/src/test/zfs-tests/tests/functional/cli_root/zpool/zpool_001_neg.ksh	Wed Aug 31 16:20:50 2016
@@ -24,6 +24,11 @@
 # Copyright 2007 Sun Microsystems, Inc.  All rights reserved.
 # Use is subject to license terms.
 #
+
+#
+# Copyright (c) 2016 by Delphix. All rights reserved.
+#
+
 . $STF_SUITE/include/libtest.shlib
 
 #
@@ -57,7 +62,7 @@
 
 typeset -i i=0
 while [[ $i -lt ${#args[*]} ]]; do
-	log_mustnot $ZPOOL ${args[i]}
+	log_mustnot zpool ${args[i]}
 
 	((i = i + 1))
 done
--- old/usr/src/test/zfs-tests/tests/functional/cli_root/zpool/zpool_002_pos.ksh	Wed Aug 31 16:20:50 2016
+++ new/usr/src/test/zfs-tests/tests/functional/cli_root/zpool/zpool_002_pos.ksh	Wed Aug 31 16:20:50 2016
@@ -26,7 +26,7 @@
 #
 
 #
-# Copyright (c) 2012, 2015 by Delphix. All rights reserved.
+# Copyright (c) 2012, 2016 by Delphix. All rights reserved.
 #
 
 . $STF_SUITE/include/libtest.shlib
@@ -48,10 +48,10 @@
 	unset ZFS_ABORT
 
 	if [[ -d $corepath ]]; then
-		$RM -rf $corepath
+		rm -rf $corepath
 	fi
 	if poolexists $pool; then
-		log_must $ZPOOL destroy -f $pool
+		log_must zpool destroy -f $pool
 	fi
 }
 
@@ -61,9 +61,9 @@
 #preparation work for testing
 corepath=$TESTDIR/core
 if [[ -d $corepath ]]; then
-	$RM -rf $corepath
+	rm -rf $corepath
 fi
-$MKDIR $corepath
+mkdir $corepath
 
 pool=pool.$$
 vdev1=$TESTDIR/file1
@@ -70,7 +70,7 @@
 vdev2=$TESTDIR/file2
 vdev3=$TESTDIR/file3
 for vdev in $vdev1 $vdev2 $vdev3; do
-	$MKFILE $MINVDEVSIZE $vdev
+	mkfile $MINVDEVSIZE $vdev
 done
 
 set -A cmds "create $pool mirror $vdev1 $vdev2" "list $pool" "iostat $pool" \
@@ -84,16 +84,16 @@
 		"online" "offline" "clear" "attach" "detach" "replace" "scrub" \
 		"import" "export" "upgrade" "history -?" "get" "set"
 
-$COREADM -p ${corepath}/core.%f
+coreadm -p ${corepath}/core.%f
 export ZFS_ABORT=yes
 
 for subcmd in "${cmds[@]}" "${badparams[@]}"; do
-	$ZPOOL $subcmd >/dev/null 2>&1
+	zpool $subcmd >/dev/null 2>&1
 	corefile=${corepath}/core.zpool
 	if [[ ! -e $corefile ]]; then
-		log_fail "$ZPOOL $subcmd cannot generate core file  with ZFS_ABORT set."
+		log_fail "zpool $subcmd cannot generate core file  with ZFS_ABORT set."
 	fi
-	$RM -f $corefile
+	rm -f $corefile
 done
 
 log_pass "With ZFS_ABORT set, zpool command can abort and generate core file as expected."
--- old/usr/src/test/zfs-tests/tests/functional/cli_root/zpool/zpool_003_pos.ksh	Wed Aug 31 16:20:51 2016
+++ new/usr/src/test/zfs-tests/tests/functional/cli_root/zpool/zpool_003_pos.ksh	Wed Aug 31 16:20:51 2016
@@ -26,7 +26,7 @@
 #
 
 #
-# Copyright (c) 2012 by Delphix. All rights reserved.
+# Copyright (c) 2012, 2016 by Delphix. All rights reserved.
 #
 
 . $STF_SUITE/include/libtest.shlib
@@ -46,25 +46,25 @@
 
 log_assert "Debugging features of zpool should succeed."
 
-log_must $ZPOOL -? > /dev/null 2>&1
+log_must zpool -? > /dev/null 2>&1
 
 if is_global_zone ; then
-	log_must $ZPOOL freeze $TESTPOOL
+	log_must zpool freeze $TESTPOOL
 else
-	log_mustnot $ZPOOL freeze $TESTPOOL
-	log_mustnot $ZPOOL freeze ${TESTPOOL%%/*}
+	log_mustnot zpool freeze $TESTPOOL
+	log_mustnot zpool freeze ${TESTPOOL%%/*}
 fi
 
-log_mustnot $ZPOOL freeze fakepool
+log_mustnot zpool freeze fakepool
 
 # Remove corefile possibly left by previous failing run of this test.
 [[ -f core ]] && log_must rm -f core
 
 ZFS_ABORT=1; export ZFS_ABORT
-$ZPOOL > /dev/null 2>&1
+zpool > /dev/null 2>&1
 unset ZFS_ABORT
 
-[[ -f core ]] || log_fail "$ZPOOL did not dump core by request."
+[[ -f core ]] || log_fail "zpool did not dump core by request."
 [[ -f core ]] && log_must rm -f core
 
 log_pass "Debugging features of zpool succeed."
--- old/usr/src/test/zfs-tests/tests/functional/cli_root/zpool_add/setup.ksh	Wed Aug 31 16:20:51 2016
+++ new/usr/src/test/zfs-tests/tests/functional/cli_root/zpool_add/setup.ksh	Wed Aug 31 16:20:51 2016
@@ -26,7 +26,7 @@
 #
 
 #
-# Copyright (c) 2012 by Delphix. All rights reserved.
+# Copyright (c) 2012, 2016 by Delphix. All rights reserved.
 #
 
 . $STF_SUITE/include/libtest.shlib
@@ -47,7 +47,7 @@
 
         partition_disk $SIZE $DISK 7
 else
-	for disk in `$ECHO $DISKSARRAY`; do
+	for disk in `echo $DISKSARRAY`; do
 		cleanup_devices $disk
 		partition_disk $SIZE $disk 7
 	done
--- old/usr/src/test/zfs-tests/tests/functional/cli_root/zpool_add/zpool_add.kshlib	Wed Aug 31 16:20:51 2016
+++ new/usr/src/test/zfs-tests/tests/functional/cli_root/zpool_add/zpool_add.kshlib	Wed Aug 31 16:20:51 2016
@@ -25,7 +25,7 @@
 #
 
 #
-# Copyright (c) 2012, 2014 by Delphix. All rights reserved.
+# Copyright (c) 2012, 2016 by Delphix. All rights reserved.
 #
 
 . $STF_SUITE/include/libtest.shlib
@@ -42,16 +42,16 @@
 	typeset vfstabdevs=""
 	typeset line
 
-	$CAT $vfstab | $GREP "^/dev/dsk" >$tmpfile
+	cat $vfstab | grep "^/dev/dsk" >$tmpfile
 	while read -r line
 	do
-		vfstabdev=`$ECHO "$line" | $AWK '{print $1}'`
+		vfstabdev=`echo "$line" | awk '{print $1}'`
 		vfstabdev=${vfstabdev%%:}
 		vfstabdevs="$vfstabdev $vfstabdevs"
 	done <$tmpfile
 
-	$RM -f $tmpfile
-	$ECHO $vfstabdevs
+	rm -f $tmpfile
+	echo $vfstabdevs
 }
 
 #
@@ -65,16 +65,16 @@
 	typeset mnttabdevs=""
 	typeset line
 
-	$CAT $mnttab | $GREP "^/dev/dsk" >$tmpfile
+	cat $mnttab | grep "^/dev/dsk" >$tmpfile
 	while read -r line
 	do
-		mnttabdev=`$ECHO "$line" | $AWK '{print $1}'`
+		mnttabdev=`echo "$line" | awk '{print $1}'`
 		mnttabdev=${mnttabdev%%:}
 		mnttabdevs="$mnttabdev $mnttabdevs"
 	done <$tmpfile
 
-	$RM -f $tmpfile
-	$ECHO $mnttabdevs
+	rm -f $tmpfile
+	echo $mnttabdevs
 }
 
 #
@@ -86,9 +86,9 @@
 	typeset dumpdev
 	typeset fnd="Dump device"
 
-	dumpdev=`$DUMPADM | $GREP "$fnd" | $CUT -f2 -d : | \
-		$AWK '{print $1}'`
-	$ECHO $dumpdev
+	dumpdev=`dumpadm | grep "$fnd" | cut -f2 -d : | \
+		awk '{print $1}'`
+	echo $dumpdev
 }
 
 #
--- old/usr/src/test/zfs-tests/tests/functional/cli_root/zpool_add/zpool_add_001_pos.ksh	Wed Aug 31 16:20:51 2016
+++ new/usr/src/test/zfs-tests/tests/functional/cli_root/zpool_add/zpool_add_001_pos.ksh	Wed Aug 31 16:20:51 2016
@@ -26,7 +26,7 @@
 #
 
 #
-# Copyright (c) 2014 by Delphix. All rights reserved.
+# Copyright (c) 2014, 2016 by Delphix. All rights reserved.
 #
 
 . $STF_SUITE/include/libtest.shlib
@@ -92,7 +92,7 @@
 		for vdev in "${poolarray[@]}"; do
 			create_pool "$TESTPOOL" "${disk}s${SLICE6}"
 			log_must poolexists "$TESTPOOL"
-			log_must $ZPOOL add -f "$TESTPOOL" ${keywords[i]} $vdev
+			log_must zpool add -f "$TESTPOOL" ${keywords[i]} $vdev
 			log_must vdevs_in_pool "$TESTPOOL" "$vdev"
 			destroy_pool "$TESTPOOL"
 		done
@@ -103,7 +103,7 @@
 			create_pool "$TESTPOOL" "${keywords[i]}" \
 				"${disk}s${SLICE4}" "${disk}s${SLICE5}"
 			log_must poolexists "$TESTPOOL"
-			log_must $ZPOOL add "$TESTPOOL" ${keywords[i]} $vdev
+			log_must zpool add "$TESTPOOL" ${keywords[i]} $vdev
 			log_must vdevs_in_pool "$TESTPOOL" "$vdev"
 			destroy_pool "$TESTPOOL"
 		done
@@ -114,7 +114,7 @@
 			create_pool "$TESTPOOL" "${keywords[i]}" \
 				"${disk}s${SLICE4}" "${disk}s${SLICE5}"
 			log_must poolexists "$TESTPOOL"
-			log_must $ZPOOL add "$TESTPOOL" ${keywords[i]} $vdev
+			log_must zpool add "$TESTPOOL" ${keywords[i]} $vdev
 			log_must vdevs_in_pool "$TESTPOOL" "$vdev"
 			destroy_pool "$TESTPOOL"
 		done
--- old/usr/src/test/zfs-tests/tests/functional/cli_root/zpool_add/zpool_add_002_pos.ksh	Wed Aug 31 16:20:51 2016
+++ new/usr/src/test/zfs-tests/tests/functional/cli_root/zpool_add/zpool_add_002_pos.ksh	Wed Aug 31 16:20:51 2016
@@ -26,7 +26,7 @@
 #
 
 #
-# Copyright (c) 2014 by Delphix. All rights reserved.
+# Copyright (c) 2014, 2016 by Delphix. All rights reserved.
 #
 . $STF_SUITE/include/libtest.shlib
 . $STF_SUITE/tests/functional/cli_root/zpool_add/zpool_add.kshlib
@@ -62,10 +62,10 @@
 create_pool "$TESTPOOL" mirror "${disk}s${SLICE0}" "${disk}s${SLICE1}"
 log_must poolexists "$TESTPOOL"
 
-log_mustnot $ZPOOL add "$TESTPOOL" ${disk}s${SLICE3}
+log_mustnot zpool add "$TESTPOOL" ${disk}s${SLICE3}
 log_mustnot vdevs_in_pool "$TESTPOOL" "${disk}s${SLICE3}"
 
-log_must $ZPOOL add -f "$TESTPOOL" ${disk}s${SLICE3}
+log_must zpool add -f "$TESTPOOL" ${disk}s${SLICE3}
 log_must vdevs_in_pool "$TESTPOOL" "${disk}s${SLICE3}"
 
 log_pass "'zpool add -f <pool> <vdev> ...' executes successfully."
--- old/usr/src/test/zfs-tests/tests/functional/cli_root/zpool_add/zpool_add_003_pos.ksh	Wed Aug 31 16:20:51 2016
+++ new/usr/src/test/zfs-tests/tests/functional/cli_root/zpool_add/zpool_add_003_pos.ksh	Wed Aug 31 16:20:51 2016
@@ -26,7 +26,7 @@
 #
 
 #
-# Copyright (c) 2014 by Delphix. All rights reserved.
+# Copyright (c) 2014, 2016 by Delphix. All rights reserved.
 #
 
 . $STF_SUITE/include/libtest.shlib
@@ -53,7 +53,7 @@
 	partition_cleanup
 
 	[[ -e $tmpfile ]] && \
-		log_must $RM -f $tmpfile
+		log_must rm -f $tmpfile
 }
 
 log_assert "'zpool add -n <pool> <vdev> ...' can display the configuration" \
@@ -66,12 +66,12 @@
 create_pool "$TESTPOOL" "${disk}s${SLICE0}"
 log_must poolexists "$TESTPOOL"
 
-$ZPOOL add -n "$TESTPOOL" ${disk}s${SLICE1} > $tmpfile
+zpool add -n "$TESTPOOL" ${disk}s${SLICE1} > $tmpfile
 
 log_mustnot vdevs_in_pool "$TESTPOOL" "${disk}s${SLICE1}"
 
 str="would update '$TESTPOOL' to the following configuration:"
-$CAT $tmpfile | $GREP "$str" >/dev/null 2>&1
+cat $tmpfile | grep "$str" >/dev/null 2>&1
 (( $? != 0 )) && \
 	 log_fail "'zpool add -n <pool> <vdev> ...' is executed as unexpected"
 
--- old/usr/src/test/zfs-tests/tests/functional/cli_root/zpool_add/zpool_add_004_pos.ksh	Wed Aug 31 16:20:51 2016
+++ new/usr/src/test/zfs-tests/tests/functional/cli_root/zpool_add/zpool_add_004_pos.ksh	Wed Aug 31 16:20:51 2016
@@ -26,7 +26,7 @@
 #
 
 #
-# Copyright (c) 2014 by Delphix. All rights reserved.
+# Copyright (c) 2014, 2016 by Delphix. All rights reserved.
 #
 
 . $STF_SUITE/include/libtest.shlib
@@ -51,7 +51,7 @@
 		destroy_pool "$TESTPOOL"
 
 	datasetexists $TESTPOOL1/$TESTVOL && \
-		log_must $ZFS destroy -f $TESTPOOL1/$TESTVOL
+		log_must zfs destroy -f $TESTPOOL1/$TESTVOL
 	poolexists $TESTPOOL1 && \
 		destroy_pool "$TESTPOOL1"
 
@@ -68,9 +68,9 @@
 
 create_pool "$TESTPOOL1" "${disk}s${SLICE1}"
 log_must poolexists "$TESTPOOL1"
-log_must $ZFS create -V $VOLSIZE $TESTPOOL1/$TESTVOL
+log_must zfs create -V $VOLSIZE $TESTPOOL1/$TESTVOL
 
-log_must $ZPOOL add "$TESTPOOL" /dev/zvol/dsk/$TESTPOOL1/$TESTVOL
+log_must zpool add "$TESTPOOL" /dev/zvol/dsk/$TESTPOOL1/$TESTVOL
 
 log_must vdevs_in_pool "$TESTPOOL" "/dev/zvol/dsk/$TESTPOOL1/$TESTVOL"
 
--- old/usr/src/test/zfs-tests/tests/functional/cli_root/zpool_add/zpool_add_005_pos.ksh	Wed Aug 31 16:20:51 2016
+++ new/usr/src/test/zfs-tests/tests/functional/cli_root/zpool_add/zpool_add_005_pos.ksh	Wed Aug 31 16:20:51 2016
@@ -26,7 +26,7 @@
 #
 
 #
-# Copyright (c) 2012, 2015 by Delphix. All rights reserved.
+# Copyright (c) 2012, 2016 by Delphix. All rights reserved.
 #
 
 . $STF_SUITE/include/libtest.shlib
@@ -56,7 +56,7 @@
 		destroy_pool "$TESTPOOL1"
 
 	if [[ -n $saved_dump_dev ]]; then
-		log_must eval "$DUMPADM -u -d $saved_dump_dev > /dev/null"
+		log_must eval "dumpadm -u -d $saved_dump_dev > /dev/null"
 	fi
 
 	partition_cleanup
@@ -78,12 +78,12 @@
 log_must poolexists "$TESTPOOL1"
 
 unset NOINUSE_CHECK
-log_mustnot $ZPOOL add -f "$TESTPOOL" ${disk}s${SLICE1}
-log_mustnot $ZPOOL add -f "$TESTPOOL" $mnttab_dev
-log_mustnot $ZPOOL add -f "$TESTPOOL" $vfstab_dev
+log_mustnot zpool add -f "$TESTPOOL" ${disk}s${SLICE1}
+log_mustnot zpool add -f "$TESTPOOL" $mnttab_dev
+log_mustnot zpool add -f "$TESTPOOL" $vfstab_dev
 
-log_must $ECHO "y" | $NEWFS /dev/dsk/$dump_dev > /dev/null 2>&1
-log_must $DUMPADM -u -d /dev/dsk/$dump_dev > /dev/null
-log_mustnot $ZPOOL add -f "$TESTPOOL" $dump_dev
+log_must echo "y" | newfs /dev/dsk/$dump_dev > /dev/null 2>&1
+log_must dumpadm -u -d /dev/dsk/$dump_dev > /dev/null
+log_mustnot zpool add -f "$TESTPOOL" $dump_dev
 
 log_pass "'zpool add' should fail with inapplicable scenarios."
--- old/usr/src/test/zfs-tests/tests/functional/cli_root/zpool_add/zpool_add_006_pos.ksh	Wed Aug 31 16:20:51 2016
+++ new/usr/src/test/zfs-tests/tests/functional/cli_root/zpool_add/zpool_add_006_pos.ksh	Wed Aug 31 16:20:51 2016
@@ -26,7 +26,7 @@
 #
 
 #
-# Copyright (c) 2014, 2015 by Delphix. All rights reserved.
+# Copyright (c) 2014, 2016 by Delphix. All rights reserved.
 #
 
 . $STF_SUITE/include/libtest.shlib
@@ -52,7 +52,7 @@
 	poolexists $TESTPOOL && \
 		destroy_pool $TESTPOOL
 
-	[[ -d $TESTDIR ]] && log_must $RM -rf $TESTDIR
+	[[ -d $TESTDIR ]] && log_must rm -rf $TESTDIR
 	partition_cleanup
 }
 
@@ -60,19 +60,19 @@
 log_onexit cleanup
 
 create_pool $TESTPOOL ${DISKS%% *}
-log_must $ZFS create -o mountpoint=$TESTDIR $TESTPOOL/$TESTFS
-log_must $MKFILE $MINVDEVSIZE $TESTDIR/file.00
+log_must zfs create -o mountpoint=$TESTDIR $TESTPOOL/$TESTFS
+log_must mkfile $MINVDEVSIZE $TESTDIR/file.00
 create_pool "$TESTPOOL1" "$TESTDIR/file.00"
 
-vdevs_list=$($ECHO $TESTDIR/file.{01..16})
-log_must $MKFILE $MINVDEVSIZE $vdevs_list
+vdevs_list=$(echo $TESTDIR/file.{01..16})
+log_must mkfile $MINVDEVSIZE $vdevs_list
 
-log_must $ZPOOL add -f "$TESTPOOL1" $vdevs_list
+log_must zpool add -f "$TESTPOOL1" $vdevs_list
 log_must vdevs_in_pool "$TESTPOOL1" "$vdevs_list"
 
 # Attempt to add a file based vdev that's too small.
-log_must $MKFILE 32m $TESTDIR/broken_file
-log_mustnot $ZPOOL add -f "$TESTPOOL1" ${TESTDIR}/broken_file
+log_must mkfile 32m $TESTDIR/broken_file
+log_mustnot zpool add -f "$TESTPOOL1" ${TESTDIR}/broken_file
 log_mustnot vdevs_in_pool "$TESTPOOL1" "${TESTDIR}/broken_file"
 
 log_pass "Adding a large number of file based vdevs to a zpool works."
--- old/usr/src/test/zfs-tests/tests/functional/cli_root/zpool_add/zpool_add_007_neg.ksh	Wed Aug 31 16:20:52 2016
+++ new/usr/src/test/zfs-tests/tests/functional/cli_root/zpool_add/zpool_add_007_neg.ksh	Wed Aug 31 16:20:52 2016
@@ -24,6 +24,11 @@
 # Copyright 2009 Sun Microsystems, Inc.  All rights reserved.
 # Use is subject to license terms.
 #
+
+#
+# Copyright (c) 2016 by Delphix. All rights reserved.
+#
+
 . $STF_SUITE/include/libtest.shlib
 . $STF_SUITE/tests/functional/cli_root/zpool_add/zpool_add.kshlib
 
@@ -59,7 +64,7 @@
 
 typeset -i i=0
 while (( $i < ${#args[*]} )); do
-	log_mustnot $ZPOOL add ${args[i]}
+	log_mustnot zpool add ${args[i]}
 	((i = i + 1))
 done
 
--- old/usr/src/test/zfs-tests/tests/functional/cli_root/zpool_add/zpool_add_008_neg.ksh	Wed Aug 31 16:20:52 2016
+++ new/usr/src/test/zfs-tests/tests/functional/cli_root/zpool_add/zpool_add_008_neg.ksh	Wed Aug 31 16:20:52 2016
@@ -24,6 +24,11 @@
 # Copyright 2009 Sun Microsystems, Inc.  All rights reserved.
 # Use is subject to license terms.
 #
+
+#
+# Copyright (c) 2016 by Delphix. All rights reserved.
+#
+
 . $STF_SUITE/include/libtest.shlib
 . $STF_SUITE/tests/functional/cli_root/zpool_add/zpool_add.kshlib
 
@@ -60,7 +65,7 @@
 
 typeset -i i=0
 while (( $i < ${#args[*]} )); do
-	log_mustnot $ZPOOL add ${args[i]}
+	log_mustnot zpool add ${args[i]}
 	((i = i + 1))
 done
 
--- old/usr/src/test/zfs-tests/tests/functional/cli_root/zpool_add/zpool_add_009_neg.ksh	Wed Aug 31 16:20:52 2016
+++ new/usr/src/test/zfs-tests/tests/functional/cli_root/zpool_add/zpool_add_009_neg.ksh	Wed Aug 31 16:20:52 2016
@@ -24,6 +24,11 @@
 # Copyright 2009 Sun Microsystems, Inc.  All rights reserved.
 # Use is subject to license terms.
 #
+
+#
+# Copyright (c) 2016 by Delphix. All rights reserved.
+#
+
 . $STF_SUITE/include/libtest.shlib
 . $STF_SUITE/tests/functional/cli_root/zpool_add/zpool_add.kshlib
 
@@ -58,8 +63,8 @@
 create_pool "$TESTPOOL" "${disk}s${SLICE0}"
 log_must poolexists "$TESTPOOL"
 
-log_mustnot $ZPOOL add -f "$TESTPOOL" ${disk}s${SLICE1} ${disk}s${SLICE1}
-log_mustnot $ZPOOL add -f "$TESTPOOL" ${disk}s${SLICE0}
+log_mustnot zpool add -f "$TESTPOOL" ${disk}s${SLICE1} ${disk}s${SLICE1}
+log_mustnot zpool add -f "$TESTPOOL" ${disk}s${SLICE0}
 
 log_pass "'zpool add' get fail as expected if vdevs are the same or vdev is " \
 	"contained in the given pool."
--- old/usr/src/test/zfs-tests/tests/functional/cli_root/zpool_attach/zpool_attach_001_neg.ksh	Wed Aug 31 16:20:52 2016
+++ new/usr/src/test/zfs-tests/tests/functional/cli_root/zpool_attach/zpool_attach_001_neg.ksh	Wed Aug 31 16:20:52 2016
@@ -24,6 +24,11 @@
 # Copyright 2007 Sun Microsystems, Inc.  All rights reserved.
 # Use is subject to license terms.
 #
+
+#
+# Copyright (c) 2016 by Delphix. All rights reserved.
+#
+
 . $STF_SUITE/include/libtest.shlib
 
 #
@@ -70,7 +75,7 @@
 
 while [[ $i -lt ${#args[*]} ]]; do
 
-	log_mustnot $ZPOOL attach ${args[$i]}
+	log_mustnot zpool attach ${args[$i]}
 
 	(( i = i + 1 ))
 done
--- old/usr/src/test/zfs-tests/tests/functional/cli_root/zpool_clear/zpool_clear_001_pos.ksh	Wed Aug 31 16:20:52 2016
+++ new/usr/src/test/zfs-tests/tests/functional/cli_root/zpool_clear/zpool_clear_001_pos.ksh	Wed Aug 31 16:20:52 2016
@@ -26,7 +26,7 @@
 #
 
 #
-# Copyright (c) 2012 by Delphix. All rights reserved.
+# Copyright (c) 2012, 2016 by Delphix. All rights reserved.
 #
 
 . $STF_SUITE/include/libtest.shlib
@@ -48,10 +48,10 @@
 function cleanup
 {
         poolexists $TESTPOOL1 && \
-                log_must $ZPOOL destroy -f $TESTPOOL1
+                log_must zpool destroy -f $TESTPOOL1
 
-        for file in `$LS $TESTDIR/file.*`; do
-		log_must $RM -f $file
+        for file in `ls $TESTDIR/file.*`; do
+		log_must rm -f $file
         done
 }
 
@@ -62,7 +62,7 @@
 #make raw files to create various configuration pools
 typeset -i i=0
 while (( i < 3 )); do
-	log_must $MKFILE $FILESIZE $TESTDIR/file.$i
+	log_must mkfile $FILESIZE $TESTDIR/file.$i
 
 	(( i = i + 1 ))
 done
@@ -87,28 +87,28 @@
 	typeset c_cksum=0
 	typeset tmpfile=/var/tmp/file.$$
 	typeset healthstr="pool '$pool' is healthy"
-	typeset output="`$ZPOOL status -x $pool`"
+	typeset output="`zpool status -x $pool`"
 
 	[[ "$output" ==  "$healthstr" ]] && return $errnum
 
-	$ZPOOL status -x $pool | $GREP -v "^$" | $GREP -v "pool:" \
-			| $GREP -v "state:" | $GREP -v "config:" \
-			| $GREP -v "errors:" > $tmpfile
+	zpool status -x $pool | grep -v "^$" | grep -v "pool:" \
+			| grep -v "state:" | grep -v "config:" \
+			| grep -v "errors:" > $tmpfile
 	typeset line
 	typeset -i fetchbegin=1
 	while read line; do
 		if (( $fetchbegin != 0 )); then
-                        $ECHO $line | $GREP "NAME" >/dev/null 2>&1
+                        echo $line | grep "NAME" >/dev/null 2>&1
                         (( $? == 0 )) && (( fetchbegin = 0 ))
                          continue
                 fi
 
 		if [[ -n $checkvdev ]]; then
-			$ECHO $line | $GREP $checkvdev >/dev/null 2>&1
+			echo $line | grep $checkvdev >/dev/null 2>&1
 			(( $? != 0 )) && continue
-			c_read=`$ECHO $line | $AWK '{print $3}'`
-			c_write=`$ECHO $line | $AWK '{print $4}'`
-			c_cksum=`$ECHO $line | $AWK '{print $5}'`
+			c_read=`echo $line | awk '{print $3}'`
+			c_write=`echo $line | awk '{print $4}'`
+			c_cksum=`echo $line | awk '{print $5}'`
 			if [ $c_read != 0 ] || [ $c_write != 0 ] || \
 			    [ $c_cksum != 0 ]
 			then
@@ -117,9 +117,9 @@
 			break
 		fi
 
-		c_read=`$ECHO $line | $AWK '{print $3}'`
-		c_write=`$ECHO $line | $AWK '{print $4}'`
-		c_cksum=`$ECHO $line | $AWK '{print $5}'`
+		c_read=`echo $line | awk '{print $3}'`
+		c_write=`echo $line | awk '{print $4}'`
+		c_cksum=`echo $line | awk '{print $5}'`
 		if [ $c_read != 0 ] || [ $c_write != 0 ] || \
 		    [ $c_cksum != 0 ]
 		then
@@ -138,8 +138,8 @@
 	shift
 	typeset vdev="$@"
 
-	log_must $ZPOOL create -f $TESTPOOL1 $vdev
-	log_must $ZFS create $FS
+	log_must zpool create -f $TESTPOOL1 $vdev
+	log_must zfs create $FS
 	#
 	# Fully fill up the zfs filesystem in order to make data block errors
 	# zfs filesystem
@@ -146,13 +146,13 @@
 	#
 	typeset -i ret=0
 	typeset -i i=0
-	while $TRUE ; do
-		$FILE_WRITE -o create -f $file.$i -b $BLOCKSZ -c $NUM_WRITES
+	while true ; do
+		file_write -o create -f $file.$i -b $BLOCKSZ -c $NUM_WRITES
 		ret=$?
 		(( $ret != 0 )) && break
 		(( i = i + 1 ))
 	done
-	(( $ret != 28 )) && log_fail "$FILE_WRITE fails to fully fill up the $FS."
+	(( $ret != 28 )) && log_fail "file_write fails to fully fill up the $FS."
 
 	#
 	#Make errors to the testing pool by overwrite the vdev device with
@@ -179,30 +179,30 @@
 			(( wcount = FILESIZE/1024 - 512 ))
 			;;
 	esac
-	$DD if=/dev/zero of=$fbase.$i seek=512 bs=1024 count=$wcount conv=notrunc \
+	dd if=/dev/zero of=$fbase.$i seek=512 bs=1024 count=$wcount conv=notrunc \
 			> /dev/null 2>&1
-	log_must $SYNC
-	log_must $ZPOOL scrub $TESTPOOL1
+	log_must sync
+	log_must zpool scrub $TESTPOOL1
 	# Wait for the completion of scrub operation
 	while is_pool_scrubbing $TESTPOOL1; do
-		$SLEEP 1
+		sleep 1
 	done
 
 	check_err $TESTPOOL1 && \
 		log_fail "No error generated."
 	if [[ $type == "device" ]]; then
-		log_must $ZPOOL clear $TESTPOOL1 $fbase.$i
+		log_must zpool clear $TESTPOOL1 $fbase.$i
 		! check_err $TESTPOOL1 $fbase.$i && \
 		    log_fail "'zpool clear' fails to clear error for $fbase.$i device."
 	fi
 
 	if [[ $type == "pool" ]]; then
-		log_must $ZPOOL clear $TESTPOOL1
+		log_must zpool clear $TESTPOOL1
 		! check_err $TESTPOOL1 && \
 		    log_fail "'zpool clear' fails to clear error for pool $TESTPOOL1."
 	fi
 
-	log_must $ZPOOL destroy $TESTPOOL1
+	log_must zpool destroy $TESTPOOL1
 }
 
 log_note "'zpool clear' clears leaf-device error."
--- old/usr/src/test/zfs-tests/tests/functional/cli_root/zpool_clear/zpool_clear_002_neg.ksh	Wed Aug 31 16:20:52 2016
+++ new/usr/src/test/zfs-tests/tests/functional/cli_root/zpool_clear/zpool_clear_002_neg.ksh	Wed Aug 31 16:20:52 2016
@@ -26,7 +26,7 @@
 #
 
 #
-# Copyright (c) 2012 by Delphix. All rights reserved.
+# Copyright (c) 2012, 2016 by Delphix. All rights reserved.
 #
 
 . $STF_SUITE/include/libtest.shlib
@@ -48,9 +48,9 @@
 function cleanup
 {
 	poolexists $TESTPOOL1 && \
-		log_must $ZPOOL destroy -f $TESTPOOL1
+		log_must zpool destroy -f $TESTPOOL1
 	[[ -e $file ]] && \
-		log_must $RM -f $file
+		log_must rm -f $file
 }
 
 log_assert "Execute 'zpool clear' using invalid parameters."
@@ -59,8 +59,8 @@
 # Create another pool for negative testing, which clears pool error
 # with vdev device not in the pool vdev devices.
 file=$TESTDIR/file.$$
-log_must $MKFILE $FILESIZE $file
-log_must $ZPOOL create $TESTPOOL1 $file
+log_must mkfile $FILESIZE $file
+log_must zpool create $TESTPOOL1 $file
 
 set -A args "" "-?" "--%" "-1234567" "0.0001" "0.7644" "-0.7644" \
 		"blah" "blah $DISK" "$TESTPOOL c0txdx" "$TESTPOOL $file" \
@@ -68,7 +68,7 @@
 
 typeset -i i=0
 while (( i < ${#args[*]} )); do
-	log_mustnot $ZPOOL clear ${args[i]}
+	log_mustnot zpool clear ${args[i]}
 
 	((i = i + 1))
 done
--- old/usr/src/test/zfs-tests/tests/functional/cli_root/zpool_clear/zpool_clear_003_neg.ksh	Wed Aug 31 16:20:52 2016
+++ new/usr/src/test/zfs-tests/tests/functional/cli_root/zpool_clear/zpool_clear_003_neg.ksh	Wed Aug 31 16:20:52 2016
@@ -26,7 +26,7 @@
 #
 
 #
-# Copyright (c) 2012 by Delphix. All rights reserved.
+# Copyright (c) 2012, 2016 by Delphix. All rights reserved.
 #
 
 . $STF_SUITE/include/libtest.shlib
@@ -47,10 +47,10 @@
 function cleanup
 {
         poolexists $TESTPOOL1 && \
-                log_must $ZPOOL destroy -f $TESTPOOL1
+                log_must zpool destroy -f $TESTPOOL1
 
-        for file in `$LS $TESTDIR/file.*`; do
-		log_must $RM -f $file
+        for file in `ls $TESTDIR/file.*`; do
+		log_must rm -f $file
         done
 }
 
@@ -61,13 +61,13 @@
 #make raw files to create a spare pool
 typeset -i i=0
 while (( i < 5 )); do
-	log_must $MKFILE $FILESIZE $TESTDIR/file.$i
+	log_must mkfile $FILESIZE $TESTDIR/file.$i
 
 	(( i = i + 1 ))
 done
-log_must $ZPOOL create $TESTPOOL1 raidz $TESTDIR/file.1 $TESTDIR/file.2 \
+log_must zpool create $TESTPOOL1 raidz $TESTDIR/file.1 $TESTDIR/file.2 \
 	$TESTDIR/file.3 spare $TESTDIR/file.4
 
-log_mustnot $ZPOOL clear $TESTPOOL1 $TESTDIR/file.4
+log_mustnot zpool clear $TESTPOOL1 $TESTDIR/file.4
 
 log_pass "'zpool clear' works on spare device failed as expected."
--- old/usr/src/test/zfs-tests/tests/functional/cli_root/zpool_create/setup.ksh	Wed Aug 31 16:20:52 2016
+++ new/usr/src/test/zfs-tests/tests/functional/cli_root/zpool_create/setup.ksh	Wed Aug 31 16:20:52 2016
@@ -26,7 +26,7 @@
 #
 
 #
-# Copyright (c) 2012, 2015 by Delphix. All rights reserved.
+# Copyright (c) 2012, 2016 by Delphix. All rights reserved.
 #
 
 . $STF_SUITE/include/libtest.shlib
@@ -47,7 +47,7 @@
 
         partition_disk $((($MINVDEVSIZE / (1024 * 1024)) * 3))m $DISK 7
 else
-	for disk in `$ECHO $DISKSARRAY`; do
+	for disk in `echo $DISKSARRAY`; do
 		cleanup_devices $disk
 
 		partition_disk $((($MINVDEVSIZE / (1024 * 1024)) * 3))m $disk 7
